"use strict";
var uni_modules_wotDesignUni_components_common_props = require("../common/props.js");
const navbarProps = {
  ...uni_modules_wotDesignUni_components_common_props.baseProps,
  title: String,
  leftText: String,
  rightText: String,
  leftArrow: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  bordered: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  fixed: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  placeholder: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  zIndex: uni_modules_wotDesignUni_components_common_props.makeNumberProp(500),
  safeAreaInsetTop: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  leftDisabled: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  rightDisabled: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false)
};
exports.navbarProps = navbarProps;
